Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Portable_Server::LifespanStrategy Class Reference

`#include <LifespanStrategy.h>`

Inheritance diagram for TAO::Portable_Server::LifespanStrategy:

[legend]
Collaboration diagram for TAO::Portable_Server::LifespanStrategy:

[legend]
List of all members.

## Public Member Functions
| LifespanStrategy (void)
virtual void | strategy_init (TAO_Root_POA *poa)
virtual void | strategy_cleanup ()
void | create (const char *name, const TAO::ObjectKey &key)
virtual void | notify_startup ()=0
virtual void | notify_shutdown ()=0
bool | validate (TAO::ObjectKey_var &key)
virtual CORBA::ULong | key_length (void) const =0
CORBA::ULong | key_type_length (void) const
virtual CORBA::Boolean | is_persistent (void) const =0
| Do we have set persistent or not,.
virtual void | create_key (CORBA::Octet *buffer, CORBA::ULong &starting_at)=0
virtual bool | validate (CORBA::Boolean is_persistent, const TAO::Portable_Server::Temporary_Creation_Time &creation_time) const =0
| Validate whether this matches the set lifespan strategy.
virtual void | check_state ()=0
| Check the state of the POA.
virtual ::PortableServer::LifespanPolicyValue | type () const =0
virtual bool | use_imr () const =0
## Protected Attributes
TAO_Root_POA * | poa_

## Constructor & Destructor Documentation

TAO::Portable_Server::LifespanStrategy::LifespanStrategy | ( | void |  | ) |

## Member Function Documentation

virtual void TAO::Portable_Server::LifespanStrategy::check_state | ( |  | ) | `[pure virtual]`

| Check the state of the POA. Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

void TAO::Portable_Server::LifespanStrategy::create | ( | const char * | name,
|  | const TAO::ObjectKey & | key
| ) |

virtual void TAO::Portable_Server::LifespanStrategy::create_key | ( | CORBA::Octet * | buffer,
|  | CORBA::ULong & | starting_at
| ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

virtual CORBA::Boolean TAO::Portable_Server::LifespanStrategy::is_persistent | ( | void |  | ) | const`[pure virtual]`

| Do we have set persistent or not,. Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

virtual CORBA::ULong TAO::Portable_Server::LifespanStrategy::key_length | ( | void |  | ) | const`[pure virtual]`

| Returns the length of the key type Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

CORBA::ULong TAO::Portable_Server::LifespanStrategy::key_type_length | ( | void |  | ) | const

virtual void TAO::Portable_Server::LifespanStrategy::notify_shutdown | ( |  | ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

virtual void TAO::Portable_Server::LifespanStrategy::notify_startup | ( |  | ) | `[pure virtual]`

| Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

virtual void TAO::Portable_Server::LifespanStrategy::strategy_cleanup | ( |  | ) | `[virtual]`

| Implements TAO::Portable_Server::Policy_Strategy.

virtual void TAO::Portable_Server::LifespanStrategy::strategy_init | ( | TAO_Root_POA * | poa | ) | `[virtual]`

| Implements TAO::Portable_Server::Policy_Strategy. Reimplemented in TAO::Portable_Server::LifespanStrategyPersistent.

virtual ::PortableServer::LifespanPolicyValue TAO::Portable_Server::LifespanStrategy::type | ( |  | ) | const`[pure virtual]`

| Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

virtual bool TAO::Portable_Server::LifespanStrategy::use_imr | ( |  | ) | const`[pure virtual]`

| Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

virtual bool TAO::Portable_Server::LifespanStrategy::validate | ( | CORBA::Boolean | is_persistent,
|  | const TAO::Portable_Server::Temporary_Creation_Time & | creation_time
| ) | const`[pure virtual]`

| Validate whether this matches the set lifespan strategy. Implemented in TAO::Portable_Server::LifespanStrategyPersistent, and TAO::Portable_Server::LifespanStrategyTransient.

bool TAO::Portable_Server::LifespanStrategy::validate | ( | TAO::ObjectKey_var & | key | ) |

| Validate the passed object key if it belongs to this POA.

## Member Data Documentation

TAO_Root_POA* TAO::Portable_Server::LifespanStrategy::poa_`[protected]`

The documentation for this class was generated from the following files:

- LifespanStrategy.h
- LifespanStrategy.cpp